Bug 52354 - up2date fails to update elilo.conf
Summary: up2date fails to update elilo.conf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-22 23:28 UTC by Ulrich Drepper
Modified: 2015-01-07 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-13 17:04:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2001-08-22 23:28:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010821

Description of problem:
After running up2date from beta3 to update to today's (2001-8-22) tree I
get:Traceback (innermost last):
  File "/usr/share/rhn/up2date/gui.py", line 727, in doInstallation
  File "/usr/share/rhn/up2date/up2date.py", line 1945, in installBootLoader
  File "/usr/share/rhn/up2date/up2date.py", line 1955, in __install_elilo
NameError: elilocfg

The /boot/efi/elilo.conf file wasn't updated, the old kernel was used after
booting.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Install beta3 on IA-64
2.up2date
3.
	

Actual Results:  The traceback above

Expected Results:  no such traceback and elilo.conf using the 2.4.7 kernel

Additional info:

Comment 1 Glen Foster 2001-08-24 15:52:10 UTC
We (Red Hat) really need to fix this before next release.

Comment 2 Adrian Likins 2002-03-26 23:23:35 UTC
This should be fixed in all current releases.
(anything from 2.7.11 or so or higher)


Note You need to log in before you can comment on or make changes to this bug.